瀏覽代碼

update model detection

Alfonso Gamboa 3 年之前
父節點
當前提交
5f8c171790
共有 5 個文件被更改,包括 62 次插入15 次删除
  1. 27 3
      README.md
  2. 1 9
      SD_ROOT/wz_mini/etc/init.d/S04model
  3. 30 0
      SD_ROOT/wz_mini/etc/init.d/S06car
  4. 1 1
      SD_ROOT/wz_mini/usr/bin/app.ver
  5. 3 2
      file.chk

+ 27 - 3
README.md

@@ -300,7 +300,7 @@ RTSP_HI_RES_ENABLE_AUDIO="true"
 RTSP_HI_RES_MAX_BITRATE="2048"
 RTSP_HI_RES_TARGET_BITRATE="1024"
 RTSP_HI_RES_ENC_PARAMETER="2"
-RTSP_HI_RES_FPS="15"
+RTSP_HI_RES_FPS=""
 
 RTSP_LOW_RES_ENABLED="false"
 RTSP_LOW_RES_ENABLE_AUDIO="false"
@@ -308,10 +308,17 @@ RTSP_LOW_RES_MAX_BITRATE=""
 RTSP_LOW_RES_TARGET_BITRATE=""
 RTSP_LOW_RES_ENC_PARAMETER=""
 RTSP_LOW_RES_FPS=""
+
+RTSP_AUTH_DISABLE="false"
+
 ```
 the singular stream will be located at ```rtsp://login:password@IP_ADDRESS:8554/unicast```
 multiple streams are located at ```rtsp://login:password@IP_ADDRESS:8554/video1_unicast``` and ```rtsp://login:password@IP_ADDRESS:8554/video2_unicast```
 
+You may disable authentication by setting `RTSP_AUTH_DISABLE` to true.
+
+Setting the FPS is not required unless you want to change the default device settings.
+
 Note:  If you don't set the password, the password will be set to the unique MAC address of the camera, in all uppercase, including the colons... for example:. AA:BB:CC:00:11:22.  It's typically printed on the camera.  Higher video bitrates may overload your Wi-Fi connection, so a wired connection is recommended.
 
 Huge credit to @mnakada for his libcallback library: [https://github.com/mnakada/atomcam_tools](https://github.com/mnakada/atomcam_tools)
@@ -321,7 +328,7 @@ Huge credit to @mnakada for his libcallback library: [https://github.com/mnakada
 mp4_write:
 
 ```
-ENABLE_MP4_WRITE="false"
+ENABLE_MP4_WRITE="true"
 ```
 
 Forces the camera to skip writing files to /tmp, and write them directly to your storage medium or network mount, prevents trashing.  Normally videos are written to /tmp then moved using `mv`, which can overload camera and or remote network connections. Useful for NFS/CIFS remote video storage.
@@ -434,7 +441,7 @@ NOTE: if you are upgrading a V2 camera from a release older than 06-16-22, you m
 ---
 
 ```
-NIGHT_DROP_DISABLE="false"
+NIGHT_DROP_DISABLE="true"
 ```
 
 Stop the camera from dropping the frame rate during nightvision.
@@ -495,8 +502,25 @@ Enables the local webserver, for configuration, car control, or to retreive an i
 
 ---
 
+```
+ENABLE_SYSLOG_SAVE="true"
+```
+
+Save the syslog to the `logs/` directory
+
+---
+
+```
+ENABLE_CRONTAB="true"
+```
+
+Enable crontab.  Located at `wz_mini/etc/cron/root`
+
+---
+
 ## Latest Updates
 
+* 08-07-22:  Updated init.d scripts.  Added syslog save feature.  Fixed orientation issue on T31 devices in webcam mode.  Added crontab support.
 * 07-25-22:  Add dnsmasq local dns option in configuration to prevent dns flooding on local networks.  Added web server capability for configuration and car control.
 * 07-14-22:  Add car compatability with normally unsupported devices.
 * 07-13-22:  Includes latest build of libcallback, better RTSP video and audio performance: fixed broken audio caused by motor_stop on T20 devices, fixed waitMotion errors. `cmd jpeg` currently still broken on T20 devices,  updated scripts to account for changed.  Some usage of `cmd` has changes, please see command output.  Kernel & modules updated to prepare for H265 support on T31.

+ 1 - 9
SD_ROOT/wz_mini/etc/init.d/S04model

@@ -38,18 +38,10 @@ case "$1" in
 			rm -rf /opt/wz_mini/tmp/configs
 		fi
 
-		#Check for Car FW
-		if [ -f /opt/wz_mini/tmp/.WYZEC1-JZ ]; then
-			if cat /system/bin/app.ver | grep 4.55; then
-				touch /opt/wz_mini/tmp/.CAR
-				echo "Car FW detected!"
-			fi
-		fi
-
 		;;
 	*)
 		echo "Usage: $0 {start}"
-			exit 1
+		exit 1
 		;;
 esac
 

+ 30 - 0
SD_ROOT/wz_mini/etc/init.d/S06car

@@ -0,0 +1,30 @@
+#!/bin/sh
+### BEGIN INIT INFO
+# Provides:
+# Short-Description: Detect device CAR  
+# Description:       Detect which CAR device                                               
+### END INIT INFO
+
+
+case "$1" in
+	start)
+
+		echo "#####$(basename "$0")#####"
+
+		echo "Checking for CAR FW"
+		if [ -f /opt/wz_mini/tmp/.WYZEC1-JZ ]; then
+			if cat /system/bin/app.ver | grep 4.55; then
+				touch /opt/wz_mini/tmp/.CAR
+				echo "CAR FW detected!"
+			else
+				echo "CAR not detected"
+			fi
+		fi
+
+		;;
+	*)
+		echo "Usage: $0 {start}"
+		exit 1
+		;;
+esac
+

+ 1 - 1
SD_ROOT/wz_mini/usr/bin/app.ver

@@ -1 +1 @@
-Sat Aug  6 11:25:08 PM PDT 2022
+Sun Aug  7 06:26:10 PM PDT 2022

+ 3 - 2
file.chk

@@ -36,6 +36,7 @@ edebe65d895650235f05291618814ebe  SD_ROOT/wz_mini/etc/network.d/S08hostname
 071acd61334923a9a3e5b799e012697e  SD_ROOT/wz_mini/etc/init.d/S09firstboot
 d59a0e8db7cec700c7ce4e7b2882e25e  SD_ROOT/wz_mini/etc/init.d/S11configbackup
 1b4037ffff5b86b31939ef20f2ec2a2c  SD_ROOT/wz_mini/etc/init.d/S10kmod
+0e868d15fb8b09915975bab48f5a78f2  SD_ROOT/wz_mini/etc/init.d/S06car
 5e27d90e6888f9665da2fb442ebd500c  SD_ROOT/wz_mini/etc/init.d/S08passwd
 8d9b5da920bf9c739517de3843631334  SD_ROOT/wz_mini/etc/init.d/S12ssh
 b947e5bcb9cccaaf7d970f03732fab67  SD_ROOT/wz_mini/etc/init.d/S05mount
@@ -43,7 +44,7 @@ b947e5bcb9cccaaf7d970f03732fab67  SD_ROOT/wz_mini/etc/init.d/S05mount
 74f398e735e66f91bb5ff1ea42c3760d  SD_ROOT/wz_mini/etc/init.d/S03busybox
 a27d4a0dd6582ae51db92c35cf396ac3  SD_ROOT/wz_mini/etc/init.d/wz_init.sh
 93ac3cc23a532f73921244aa61b62362  SD_ROOT/wz_mini/etc/init.d/S16factorycheck
-95368f5581eff0e2f8eb1fac46b82c47  SD_ROOT/wz_mini/etc/init.d/S04model
+c457995a14d408c18bf03c6b0d613b58  SD_ROOT/wz_mini/etc/init.d/S04model
 df3911f5443239982e184af022a15815  SD_ROOT/wz_mini/etc/init.d/S14terminfo
 2feeb34a9031c4a8eaf62038a7c31c65  SD_ROOT/wz_mini/etc/init.d/S07inject
 ce899168f0a576809238b338dec6a666  SD_ROOT/wz_mini/etc/init.d/S02tmpfs
@@ -155,7 +156,7 @@ b339aee882a5d1c943ad08e4282ec3fd  SD_ROOT/wz_mini/usr/bin/iCamera-dbg
 071b974925501c4b83f2dd546d90febd  SD_ROOT/wz_mini/usr/bin/netmon.sh
 3e15a736b79854c35abb7fd4f7207064  SD_ROOT/wz_mini/usr/bin/imp_helper.sh
 580b1b6e91e72b4a4fef7b21d8954403  SD_ROOT/wz_mini/usr/bin/getSensorType
-0c8212aff037b48b237648898095aa80  SD_ROOT/wz_mini/usr/bin/app.ver
+866c06ad7400cc7bde1c1cba3ec7bbed  SD_ROOT/wz_mini/usr/bin/app.ver
 4c780f0455481d106d47d89f0ae04ed5  SD_ROOT/wz_mini/lib/uClibc.tar
 9afeb088e4cbabbe0b04033b560204d0  SD_ROOT/wz_mini/lib/libimp.so
 4100755cb6cc6e3b76da20c7e3690e16  SD_ROOT/wz_mini/lib/libalog.so